<?php

class Rise_Config_File_Reader implements Rise_Config_Reader {

    protected $_directory = '';

    public function __construct($directory = 'config') {
        $this->_directory = trim($directory, '/');
    }

    public function load($group) {
        $config = array();

        if ($files = Rise::find_file($this->_directory, $group, NULL, TRUE)) {
            foreach ($files as $file) {

                $config = Arr::merge($config, Rise::load($file));
            }
        }

        return $config;
    }

}
