<?php
/**
 * File:   url.php
 * Description: 
 * 
 * Created on 03.05.2012, 18:55:01
 * 
 */
/**
 * @author: Sergey Jdanuk aka Shadoof <jdanuk at gmail.com>
 */
class Media_Url
{
    static function encode( $classAndMethod, $params = null)
    {
        $ret = json_encode(array("media_url"=>$classAndMethod,'params'=>$params));
        return $ret;
    }
    
    static function decode($jsonUrl, $assoc = false )
    {
        $ret = json_decode($jsonUrl, $assoc);
        switch(json_last_error())
        {
            case JSON_ERROR_SYNTAX:
            {
                $ret = array(
                    'media_url'=>$jsonUrl,
                    'params'=>array(),
                );
                if( !$assoc )
                    $ret = (object)$ret;
            }
        }
        return $ret;
    }
}
?>
