<?php
class Controller implements DunePlugin
{
    public function get_folder_view($media_url, &$plugin_cookies)
    {
        echo 'get_folder_view';
        Cookie::init($plugin_cookies);
        return Screen::_folder_view($media_url);
    }

    public function get_next_folder_view($media_url, &$plugin_cookies)
    {
        echo 'get_next_folder_view';
        Cookie::init($plugin_cookies);
        return Screen::_next_folder_view($media_url);
    }

    public function get_tv_info($media_url, &$plugin_cookies)
    {
        echo 'get_tv_info: ' . $media_url;
        Cookie::init($plugin_cookies);
        return Screen::_tv_info($media_url);
    }

    public function get_tv_stream_url($media_url, &$plugin_cookies)
    {
        echo 'get_tv_stream_url';
        Cookie::init($plugin_cookies);
        return Screen::_get_tv_stream_url($media_url);
    }

    public function get_vod_info($media_url, &$plugin_cookies)
    {
        echo 'get_vod_info';
        Cookie::init($plugin_cookies);
        return Screen::_vod_info($media_url);
    }

    public function get_vod_stream_url($media_url, &$plugin_cookies)
    {
        echo 'get_vod_stream_url';
    }

    public function get_regular_folder_items($media_url, $from_ndx, &$plugin_cookies)
    {
        echo 'get_regular_folder_items';
        Cookie::init($plugin_cookies);
        return Screen::_regular_folder_items($media_url, $from_ndx);
    }

    public function get_day_epg($channel_id, $day_start_ts, &$plugin_cookies)
    {
        echo 'get_day_epg';
        Cookie::init($plugin_cookies);
        return Screen::_get_day_epg($channel_id, $day_start_ts);
    }

    public function get_tv_playback_url($channel_id, $archive_ts, $protect_code, &$plugin_cookies)
    {
        echo 'get_tv_playback_url';
        Cookie::init($plugin_cookies);
        return Screen::_get_tv_playback_url($channel_id, $archive_ts, $protect_code);
    }

    public function change_tv_favorites($op_type, $channel_id, &$plugin_cookies)
    {
        echo 'change_tv_favorites';
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {  
        hd_print(sprintf('handle_user_input(%s)', json_encode($user_input)));
        
        Cookie::init($plugin_cookies);
        return Screen::_handle_user_input($user_input);
    }
}
?>
