<?php
/**
 * File:   url.php
 * Description: 
 * 
 * Created on 30.01.2012, 16:49:41
 * 
 */
/**
 * @author: Sergey Jdanuk aka Shadoof <jdanuk at gmail.com>
 */
class Url
{
    private $url = NULL;
    
    public function set($class, $params = NULL)
    {
        $this->url = array('classAndMethod'=>$classAndMethod,'params'=>$params);
        return $this->$url;
    }
    
    public function getClass()
    {
        $className = explode('->', $this->url['classAndMethod']);
        return $className[0];
    }
    
    public function getMethod()
    {
        $className = explode('->', $this->url['classAndMethod']);
        return (count($className) > 1 ? $className[1]:'index');
    }
    
    public function getParams()
    {
        return self::$url['params'];
    }
    
    static function prepareVideoUrl($video_url, $pattern = 'http://')
    {
        if( strpos($video_url, $pattern) === 0 )
        {
            return 'http://mp4://' . substr($video_url, strlen($pattern));
        }
        return $video_url;
    }
}
?>
